 
/*******************************************************************************


           The EEOC and Structural Reform of the American Workplace
					  Statistical Statements in Text


*******************************************************************************/

*Execute this file after "EEOC and Structural Reform-code for setup and tables-final.do"

*cd "C:\Users\kim\Desktop\Injunctive Relief Paper Final\"
*cd "L:\Users\mschlan\Data\EEOC\"


/* "Although outsiders were brought in as consultants in about 12% of the EEOCs 
systemic cases in our sample, in about 4%just 9 cases over the entire 
decadewere they given significant power to monitor employer compliance." */

use "master_injunctive.dta" if systemic==1 & fullDocInjAvailable == 1 & injunctiveRelief == 1 & (resSum ==1 | resSum ==5), clear
count
local den = r(N)

count if (complReptConsul == 1 | complianceReptConsul == 1 | accessReqConsult == 1 | otherRoleConsult == 1)

di (r(N)/`den')*100
*=.12093023 ~ 12%;

count if (complReptMonitor == 1 | complianceReptMonitor == 1 | accessReqMonitor == 1 | otherRoleMonitor == 1)

di (r(N)/`den')*100
 
*=.04186047 ~ 4%;


* "It [the Dial case] also had more discovery and substantive motions than usual12, which puts it at the 95th percentile of resolved cases in the sample";

use "motionsCountsUnique.dta", replace
count if systemic==1 & finalResType~=18
local den = r(N)

gen totalmotions = discovMotFiled + dispMotFiledCount
list totalmotions if caseCode == "EE-IL-0075"
sum totalmotions if caseCode == "EE-IL-0075"
local cutoff = r(mean)
*Dial Case: motions = 12

count if systemic==1 & finalResType~=18 & totalmotions <= `cutoff'
di (r(N)/`den')*100
*95.42 percentile

* "And it took longer than usual to come to closurenearly 4 years (97th percentile)."

use "master_injunctive.dta" if systemic==1 & finalResType~=18, clear
count
local den = r(N)

list days if caseCode == "EE-IL-0075"
sum days if caseCode == "EE-IL-0075"
local cutoff = r(mean)
*Dial case:  1440 days

count if days <= `cutoff'
di (r(N)/`den')*100

*Dial Case: days = 1440; 97.33 percentile  

* "Its decree is relatively long19 pages (76th percentile)."

use "master_injunctive.dta" if systemic==1 & fullDocInjAvailable == 1 & injunctiveRelief == 1 & (resSum ==1 | resSum ==5), clear
count if numberPages~=.
local den = r(N)

list numberPages if caseCode == "EE-IL-0075"
sum numberPages if caseCode == "EE-IL-0075"
local cutoff = r(mean)
*Dial Case: 19 pages

count if numberPages <= `cutoff'
di (r(N)/`den')*100
*75.83 percentile


* "The length of litigation puts PJAX at the 16 percentile on this measure.";

use "master_injunctive.dta" if systemic==1 & finalResType~=18, clear
count
local den = r(N)

list days if caseCode == "EE-MD-0093"
sum days if caseCode == "EE-MD-0093"
local cutoff = r(mean)
*PJAX case: days = 181 days

count if days <= `cutoff'
di (r(N)/`den')*100
*15.65 percentile;


/* "The more general injunctive provisions of the decree were imposed for two years 
(a fairly typical length, as 71.6% of the decrees in our sample set terms of 2 to 3 years)*/

use "master_injunctive.dta" if systemic ==1 & fullDocInjAvailable ==1 & injunctiveRelief ==1 & (resSum ==1 | resSum ==5), clear

count
local den = r(N)

count if termTimeM >= 24 & termTimeM <= 36
di (r(N) / `den')*100
*71.63%

*** 2 part sentence:;
/*About 16% of the EEOCs systemic cases are like Dial and McKesson, designating 
an outsider to serve as consultant or monitor.  But in another 13% of its decrees, 
the EEOC seeks to deputize someone within a defendant organization who is likely 
to have both expertise and a commitment to the value the EEOC is trying to protect.*/

***part 1;
/*About 16% of the EEOCs systemic cases are like Dial and McKesson, 
designating an outsider to serve as consultant or monitor*/

use "master_injunctive.dta" if systemic ==1 & fullDocInjAvailable ==1 & injunctiveRelief ==1 & (resSum ==1 | resSum ==5), clear

gen consORmonitor = 0
replace consORmonitor = 1 if complReptConsult == 1
replace consORmonitor = 1 if complReptMonitor == 1
replace consORmonitor = 1 if complianceReptConsult == 1
replace consORmonitor = 1 if complianceReptMonitor == 1
replace consORmonitor = 1 if accessReqConsult == 1
replace consORmonitor = 1 if accessReqMonitor == 1
replace consORmonitor = 1 if otherRoleConsult == 1
replace consORmonitor = 1 if otherRoleMonitor == 1

count
global den = r(N)

count if consORmonitor == 1
di (r(N)/$den)*100

*24 = 15.813953% ~ 16%;

***part 2;
/*But in another 13% of its decrees, the EEOC seeks to deputize someone within 
a defendant organization who is likely to have both expertise and a commitment 
to the value the EEOC is trying to protect. */ 

*cases with HR roles;
gen insider = 0
replace insider = 1 if complReptMgr == 1 | complianceReptMgr == 1 | accessReqMgr == 1 | otherRoleMgr == 1

count if insider == 1

di (r(N)/$den)*100 
*33 = 15.348837% ~ 15%;

*cases with HR roles and no outsider;
count if consORmonitor ~= 1  & insider ==1

di (r(N)/$den)*100
*27 = 12.55814% ~ 13%


/* "Over three quarters of the Commission's decrees in systemic cases involving 
hiring or promotion include record-keeping provisions"*/

use "master_injunctive.dta" if systemic == 1 & fullDocInjAvailable ==1 & injunctiveRelief ==1 & (resSum == 1 | resSum ==5), clear
count

gen hireORpromote = 0
replace hireORpromote = 1 if hiringIssue == 1 | promotionIssue == 1

count if hireORpromote == 1
local den = r(N)

count if hireORpromote == 1 & (defReqJobDesc==1 | defReqHiringCrit==1 | defReqProtocol==1 | defReqRecruiting==1 | defReqComplyVenue==1 | defReqComplyPersonnel==1 | recordRequired==1)

di (r(N)/`den')*100
*65/84 = 77.380952 ~ 77%;


/* "disability and religious discrimination claims. . . appear more rarely 
(and noticeably less less frequently in the systemic docket than the nonsystemic. [fn]In our non-
systemic sample, 185 and 8% of the cases involve claims for disability or religious 
discrimination, respectively." */

use "master_injunctive.dta", clear
foreach i in 0 1 {
  count if systemic == `i' & basis_disability~=.
  local den = r(N)
  count if systemic == `i' & basis_disability ==1
  di (r(N)/`den')*100
}
foreach i in 0 1 {
  count if systemic == `i' & basis_religion~=.
  local den = r(N)
  count if systemic == `i' & basis_religion ==1
  di (r(N)/`den')*100
}

*non-systemic:  284 disability cases = 18.3% 
*systemic:  18 disability cases = 6.6%
*non-systemic: 117 religion cases = 7.9%
*systemic:  6 religion cases = 2.2%

/* "One hundred and sixty-one (161), or 70.3% of the systemic cases that settled,
were resolved without a single substantive motion being filed,  and forty-three, or 
19% of settled cases, were resolved before the defendant even filed an answer.   */

use "motionsCountsUnique.dta" if systemic==1 & (finalResType==1 | finalResType==2), clear
count 
local den = r(N)

count if dispMotFiled == 0
di (r(N)/`den') * 100

*161 settled systemic cases (70.3%) with no dispositive motion filed

use "master_injunctive.dta" if systemic ==1 & (finalResType==1 | finalResType==2), clear
count if firstAnswerDate==.
di (r(N)/`den') * 100

*43 settled systemic cases (19%) with no answer filed by defendant


/* "In fact, in about 6.5% of the resolved systemic cases, the resolution was reached in the first 
month after filing, often with joint resolutions proposed for court approval 
simultaneously with the court complaint."   */

use "master_injunctive.dta" if systemic==1 & finalResType~=18, clear

count
local den = r(N)

count if days<=30

di (r(N)/`den')*100

*6.5%



/* "Full documentation of the injunctive relief was not available in all cases, 
and default cases tend to involve defunct defendants, and are therefore omitted, so 
the discussion here rests on an analysis of the 215 systemic cases resolved by settlement or
court order in which we had access to the actual decrees or orders." */

use "master_injunctive.dta" , clear
count if systemic ==1 & fullDocInjAvailable ==1 & injunctiveRelief ==1 & (resSum ==1 | resSum ==5)
*215


/* "In roughly 16% of the cases, appointed monitors or outside consultants who 
specialize in EEO matters are given some role in implementing the remedial terms."  */

use "master_injunctive.dta" if systemic ==1 & fullDocInjAvailable ==1 & injunctiveRelief ==1 & (resSum ==1 | resSum ==5), clear

gen consORmonitor = 0
replace consORmonitor = 1 if complReptConsult == 1
replace consORmonitor = 1 if complReptMonitor == 1
replace consORmonitor = 1 if complianceReptConsult == 1
replace consORmonitor = 1 if complianceReptMonitor == 1
replace consORmonitor = 1 if accessReqConsult == 1
replace consORmonitor = 1 if accessReqMonitor == 1
replace consORmonitor = 1 if otherRoleConsult == 1
replace consORmonitor = 1 if otherRoleMonitor == 1

count
global den = r(N)

count if consORmonitor == 1
di (r(N)/$den)*100

*24 = 15.813953% ~ 16%;

 
/* Our data suggest that there are about 70 systemic decrees open at any given time */

use "master_injunctive.dta" if systemic ==1 & reliefObtained ==1 & injunctiveRelief == 1 & termTime == 1, clear

gen newMonth=month(finalResDate)+termTimeMonths
gen newYear=year(finalResDate)+floor((newMonth-1)/12)
replace newMonth=mod((newMonth-1),12)+1
gen endResDate=mdy(newMonth,day(finalResDate),newYear)
format %td endResDate
drop newMonth newYear

*This gives the number of cases where Resolution is ongoing during the period specified.;
*count if finalResDate <= td(period_start) & endResDate >= td(period_end) & endResDate ~=.;
*** Note: the first five years of data (2001-2004) are missing cases resolved prior to our period, so 
*** we only have usable data for 2005 and 2006.

foreach year in 2005 2006 {
	foreach mon in jan feb mar apr may jun jul aug sep oct nov dec {
	count if finalResDate <= td(15`mon'`year') & endResDate > td(15`mon'`year') & endResDate ~=.
	}
 }
 
 

